%define alphatag git33104c22e

Name:           pylasem
Version:        0.1.0
Release:        0.1.%{alphatag}%{?dist}
Summary:        Python bindings for Lasem SVG and MathML rendering library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://github.com/jbaayen/pylasem
Source0:        pylasem-%{version}-%{alphatag}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: lasem-devel
BuildRequires: pygobject2-devel

%description
pylasem provides Python bindings for Lasem, a library for rendering SVG and MathML.

%prep
%setup -q -n pylasem-%{version}-%{alphatag}

%build
%configure --disable-static

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove currently useless .pc file
rm %{buildroot}%{_libdir}/pkgconfig/pylasem.pc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2.6/site-packages/lasemmodule.so

%changelog
* Mon Sep  6 2010 Owen Taylor <otaylor@redhat.com> - 0.0.9.git33104c22-1
- Initial version
